Groovy Documentation

## org.codehaus.groovy.grails.test.junit4
[Groovy] Class JUnit4GrailsTestType

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestTypeSupport
          org.codehaus.groovy.grails.test.junit4.JUnit4GrailsTestType

    class JUnit4GrailsTestType
    extends GrailsTestTypeSupport

An `GrailsTestType` for JUnit4 tests.

Field Summary
`protected java.lang.Object` | `mode`
`protected java.lang.Object` | `suite`

Property Summary
`static java.lang.Object` | `SUFFIXES`

Constructor Summary
`JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory)`
`JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)`

Method Summary
`protected java.lang.Object` | `createJUnitReportsFactory()`
`protected java.lang.Object` | `createListener(java.lang.Object eventPublisher)`
`protected java.lang.Object` | `createNotifier(java.lang.Object eventPublisher)`
`protected java.lang.Object` | `createRunnerBuilder()`
`protected java.lang.Object` | `createSuite(java.lang.Object classes)`
`protected int` | `doPrepare()`
`protected GrailsTestTypeResult` | `doRun(GrailsTestEventPublisher eventPublisher)`
`protected java.lang.Object` | `getTestClasses()`
`protected java.util.List` | `getTestSuffixes()`

Methods inherited from class GrailsTestTypeSupport
cleanup, createSystemOutAndErrSwapper, doPrepare, doRun, eachSourceFile, findSourceFiles, getApplicationContext, getSourceDir, getTestClassLoader, getTestExtensions, getTestSuffixes, loadClass, prepare, run, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName

Field Detail

### mode

    protected java.lang.Object mode

### suite

    protected java.lang.Object suite

Property Detail

### SUFFIXES

    static final java.lang.Object SUFFIXES

Constructor Detail

### JUnit4GrailsTestType

    JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory)

### JUnit4GrailsTestType

    JUnit4GrailsTestType(java.lang.String name, java.lang.String sourceDirectory, GrailsTestMode mode)

Method Detail

### createJUnitReportsFactory

    protected java.lang.Object createJUnitReportsFactory()

### createListener

    protected java.lang.Object createListener(java.lang.Object eventPublisher)

### createNotifier

    protected java.lang.Object createNotifier(java.lang.Object eventPublisher)

### createRunnerBuilder

    protected java.lang.Object createRunnerBuilder()

### createSuite

    protected java.lang.Object createSuite(java.lang.Object classes)

### doPrepare

    protected int doPrepare()

### doRun

    protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

### getTestClasses

    protected java.lang.Object getTestClasses()

### getTestSuffixes

    protected java.util.List getTestSuffixes()

Groovy Documentation